Package org.wso2.carbon.hostobjects.sso.internal.util

## Class X509CredentialImpl

- java.lang.Object
- - org.wso2.carbon.hostobjects.sso.internal.util.X509CredentialImpl

- All Implemented Interfaces:
    `org.opensaml.xml.security.credential.Credential`, `org.opensaml.xml.security.x509.X509Credential`

      public class X509CredentialImpl
      extends Object
      implements org.opensaml.xml.security.x509.X509Credential

  X509Credential implementation for signature verification of self issued tokens. The key is constructed from modulus and exponent

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `X509CredentialImpl​(BigInteger modulus, BigInteger publicExponent)` | The key is constructed form modulus and exponent.
    `X509CredentialImpl​(X509Certificate cert)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.opensaml.xml.security.credential.CredentialContextSet` | `getCredentalContextSet()` |
    `Class<? extends org.opensaml.xml.security.credential.Credential>` | `getCredentialType()` |
    `Collection<X509CRL>` | `getCRLs()` |
    `X509Certificate` | `getEntityCertificate()` |
    `Collection<X509Certificate>` | `getEntityCertificateChain()` |
    `String` | `getEntityId()` |
    `Collection<String>` | `getKeyNames()` |
    `PrivateKey` | `getPrivateKey()` |
    `PublicKey` | `getPublicKey()` | Retrieves the publicKey
    `SecretKey` | `getSecretKey()` |
    `X509Certificate` | `getSigningCert()` |
    `org.opensaml.xml.security.credential.UsageType` | `getUsageType()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X509CredentialImpl

          public X509CredentialImpl​(BigInteger modulus,
                                    BigInteger publicExponent)
                             throws NoSuchAlgorithmException,
                                    InvalidKeySpecException

      The key is constructed form modulus and exponent.
      Parameters:
        `modulus` -
        `publicExponent` -
      Throws:
        `NoSuchAlgorithmException`
        `InvalidKeySpecException`

    - #### X509CredentialImpl

          public X509CredentialImpl​(X509Certificate cert)

  - ### Method Detail

    - #### getPublicKey

          public PublicKey getPublicKey()

      Retrieves the publicKey
      Specified by:
        `getPublicKey` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getSigningCert

          public X509Certificate getSigningCert()

    - #### getEntityCertificate

          public X509Certificate getEntityCertificate()

      Specified by:
        `getEntityCertificate` in interface `org.opensaml.xml.security.x509.X509Credential`

    - #### getCRLs

          public Collection<X509CRL> getCRLs()

      Specified by:
        `getCRLs` in interface `org.opensaml.xml.security.x509.X509Credential`

    - #### getEntityCertificateChain

          public Collection<X509Certificate> getEntityCertificateChain()

      Specified by:
        `getEntityCertificateChain` in interface `org.opensaml.xml.security.x509.X509Credential`

    - #### getCredentalContextSet

          public org.opensaml.xml.security.credential.CredentialContextSet getCredentalContextSet()

      Specified by:
        `getCredentalContextSet` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getCredentialType

          public Class<? extends org.opensaml.xml.security.credential.Credential> getCredentialType()

      Specified by:
        `getCredentialType` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getEntityId

          public String getEntityId()

      Specified by:
        `getEntityId` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getKeyNames

          public Collection<String> getKeyNames()

      Specified by:
        `getKeyNames` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getPrivateKey

          public PrivateKey getPrivateKey()

      Specified by:
        `getPrivateKey` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getSecretKey

          public SecretKey getSecretKey()

      Specified by:
        `getSecretKey` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getUsageType

          public org.opensaml.xml.security.credential.UsageType getUsageType()

      Specified by:
        `getUsageType` in interface `org.opensaml.xml.security.credential.Credential`